Subject: Re: bug#20241: 25.0.50; `setq' with only one argument

From: Artur Malabarba <[email-masked]>
Date: Wed, 25 Nov 2015 10:36:25 +0000

> We won't see any problem in our own sources, because all the occurrences
> here have been expunged.  Any problems will be with external libraries
> (or possibly in *ELPA) which people expect just to download, compile and
> run.  I think that was what Artur is worried about.

Since we're going with this, I quickly grepped 4 occurrences on
elpa/packages (didn't try the external branches). We should probably
fix those too:

./hydra/hydra-test.el:1312:              (setq current-prefix-arg)
./tiny/tiny.el:364:                             (setq expect-fun)
./gnorb/gnorb-registry.el:294:    (setq id )
./context-coloring/benchmark/fixtures/subr.el:1448:     ,@(mapcar
(lambda (binder) `(setq ,@binder)) binders)